=== debian/changelog ===
ros-eloquent-tracetools-test (0.2.12-1bionic) bionic; urgency=high

  * Use imperative mood in constructor docstring.
  * Contributors: Christophe Bedard, Steven! Ragnarök

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 08:00:00 -0000

ros-eloquent-tracetools-test (0.2.11-1bionic) bionic; urgency=high

  * Fix working directory for tracetools_test Python tests
  * Fix version regex to support multi-digit numbers
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 08:00:00 -0000

ros-eloquent-tracetools-test (0.2.10-1bionic) bionic; urgency=high

  * Update tests after new intra-process communications
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 17 Nov 2019 08:00:00 -0000

ros-eloquent-tracetools-test (0.2.6-1bionic) bionic; urgency=high

  * Fix "do_more" check for test_ping/test_pong
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 16 Aug 2019 07:00:00 -0000

ros-eloquent-tracetools-test (0.2.3-1bionic) bionic; urgency=high

  * Fix Windows warnings
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 05 Aug 2019 07:00:00 -0000

ros-eloquent-tracetools-test (0.2.0-1bionic) bionic; urgency=high

  * Enable tracing by default if LTTng is available
  * Contributors: Christophe Bedard, Tobias Blass

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 30 Jul 2019 07:00:00 -0000

ros-eloquent-tracetools-test (0.1.1-1bionic) bionic; urgency=high

  * Disable tracing-related tests by default
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 16 Jul 2019 07:00:00 -0000

ros-eloquent-tracetools-test (0.1.0-1bionic) bionic; urgency=high

  * Add tracetools_test package with utilities
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 Jul 2019 07:00:00 -0000
