=== debian/control ===
Source: ros-eloquent-tracetools-test
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, python3-pytest, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-launch-ros, ros-eloquent-rclcpp, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-tracetools, ros-eloquent-tracetools-launch, ros-eloquent-tracetools-read, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-tracetools-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-rclcpp, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-ros-workspace
Description: Testing utilities and tests for the tracetools package.
